summaryrefslogtreecommitdiffstats
path: root/development/ratfor
diff options
context:
space:
mode:
Diffstat (limited to 'development/ratfor')
-rw-r--r--development/ratfor/README27
-rw-r--r--development/ratfor/ratfor.SlackBuild100
-rw-r--r--development/ratfor/ratfor.info10
-rw-r--r--development/ratfor/slack-desc19
4 files changed, 156 insertions, 0 deletions
diff --git a/development/ratfor/README b/development/ratfor/README
new file mode 100644
index 0000000000..7aee00f42c
--- /dev/null
+++ b/development/ratfor/README
@@ -0,0 +1,27 @@
+ratfor (ratfor preprocessor for fortran77)
+
+Ratfor is short for Rational Fortran. If you are not familiar with
+Ratfor, SEP has a good page about it here:
+
+ https://sepwww.stanford.edu/sep/prof/pvi/rat/paper_html/node1.html
+
+...and Brian W. Kernighan's paper on the language can be found here:
+
+ http://www.econ.uiuc.edu/~roger/research/repro/ratfor.pdf
+
+Ratfor was used in the classic Software Tools text by Kernighan and
+Plauger, published by Addison and Wesley. Ratfor translates Rational
+Fortran to Fortran-77, which can then be compiled with a F77 compiler
+such as GNU Fortran.
+
+This Linux Ratfor is derived from the public domain ratfor
+version 1.0 by Oz, Ken Yap, W. Bauske (IBM), and SEP
+(http://sepwww.stanford.edu). It is still in the public domain.
+
+To compile and run a ratfor program:
+
+ ratfor -o prog.f prog.r
+ f77 -o prog prog.f
+ ./prog
+
+There are some sample/test programs in "/usr/doc/ratfor-$VERSION/tests".
diff --git a/development/ratfor/ratfor.SlackBuild b/development/ratfor/ratfor.SlackBuild
new file mode 100644
index 0000000000..6b61b0e501
--- /dev/null
+++ b/development/ratfor/ratfor.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for ratfor
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# The Slackware package includes everything that's in upstream's RPM,
+# plus the test*.r programs, test*.std outputs from the test programs,
+# and the output from 'make check'.
+
+# I also did a SlackBuild for another fork of ratfor, called
+# c-ratfor (https://gitorious.org/ratfor-revived/c-ratfor), but
+# I haven't submitted it to SBo because I don't think we need
+# two implementations of this historical language. Come to that,
+# we probably don't *need* one at all, but I find this to be an
+# interesting bit of programming history. If you really have a burning
+# desire to see c-ratfor on SBo, email me and ask for it, and I'll
+# either submit it or let you have the work I've done as a basis for
+# your own c-ratfor SlackBuild.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ratfor
+VERSION=${VERSION:-1.05}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make check 2>&1 | tee makecheck.txt
+make install-strip DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man*/*
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC/tests
+cp -a BUGS README $PKGDOC
+cp -a makecheck.txt *.r *.std $PKGDOC/tests
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/ratfor/ratfor.info b/development/ratfor/ratfor.info
new file mode 100644
index 0000000000..aa3c918a5f
--- /dev/null
+++ b/development/ratfor/ratfor.info
@@ -0,0 +1,10 @@
+PRGNAM="ratfor"
+VERSION="1.05"
+HOMEPAGE="http://www.dgate.org/ratfor/"
+DOWNLOAD="http://www.dgate.org/ratfor/tars/ratfor-1.05.tar.gz"
+MD5SUM="72266173c45f401bbf12b2098955b080"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/development/ratfor/slack-desc b/development/ratfor/slack-desc
new file mode 100644
index 0000000000..dc3c20ea55
--- /dev/null
+++ b/development/ratfor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ratfor: ratfor (ratfor preprocessor for fortran77)
+ratfor:
+ratfor: Ratfor is short for Rational Fortran. Ratfor was used in the classic
+ratfor: Software Tools text by Kernighan and Plauger, published by Addison and
+ratfor: Wesley. Ratfor translates Rational Fortran to Fortran-77, which can
+ratfor: then be compiled with a F77 compiler such as GNU Fortran.
+ratfor:
+ratfor: This Linux Ratfor is derived from the public domain ratfor
+ratfor: version 1.0 by Oz, Ken Yap, W. Bauske (IBM), and SEP
+ratfor: (http://sepwww.stanford.edu). It is still in the public domain.
+ratfor: